Bug 1916406 - Helm chart repository index can contain unresolvable relative URL's
Summary: Helm chart repository index can contain unresolvable relative URL's
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: Bram Verschueren
QA Contact: Pavel Macik
Harsh Mishra
URL:
Whiteboard:
Depends On: 1912907
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-14 17:43 UTC by Predrag Knezevic
Modified: 2021-04-22 10:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the relative chart URL for downloading the chart to instantiate a helm release was unreachable. This happened because the `index.yaml` file from the remote repository, referenced in the Helm chart repository, was fetched and used as is. Some of these index files contained relative chart URLs. This issue is fixed by translating relative chart URLs to absolute URLs, which makes the chart URL reachable.
Clone Of: 1912907
Environment:
Last Closed: 2021-02-22 13:54:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7841 0 None closed [release-4.6] Bug 1916406: Helm chart repository index can contain unresolvable relative URL's 2021-02-16 05:49:36 UTC
Red Hat Product Errata RHBA-2021:0510 0 None None None 2021-02-22 13:54:42 UTC

Comment 3 Pavel Macik 2021-02-17 11:11:57 UTC
Verified with:
* OCP: v4.6.0-0.nightly-2021-02-12-212524
* OC: v4.6.15
* helm: v3.4.2

Comment 5 errata-xmlrpc 2021-02-22 13:54:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0510


Note You need to log in before you can comment on or make changes to this bug.